Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.direct
Class EuclideanNetwork

    java.lang.Object
      rice.pastry.direct.BasicNetworkSimulator
          rice.pastry.direct.EuclideanNetwork

All Implemented Interfaces:
  NetworkSimulator

    public class EuclideanNetwork

extends BasicNetworkSimulator

Euclidean network topology and idealized node life. Emulates a network of nodes that are randomly placed in a plane. Proximity is based on euclidean distance in the plane.

Version:
  $Id: EuclideanNetwork.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  Andrew Ladd, Rongmei Zhang

Field Summary

Fields inherited from class rice.pastry.direct.BasicNetworkSimulator
`logger, manager, maxDiameter, MIN_DELAY, minDelay, random`

Constructor Summary
`EuclideanNetwork(Environment env)` Constructor.

Method Summary
`NodeRecord` | `generateNodeRecord()` Generates a random node record

Methods inherited from class rice.pastry.direct.BasicNetworkSimulator
`addSimulatorListener, deliverMessage, deliverMessage, deliverMessage, deliverMessageFixedRate, destroy, enqueueDelivery, getClosest, getEnvironment, getTestRecord, isAlive, networkDelay, notifySimulatorListenersReceived, notifySimulatorListenersSent, proximity, registerNode, removeNode, removeSimulatorListener, setFullSpeed, setMaxSpeed, setTestRecord, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EuclideanNetwork

    public EuclideanNetwork(Environment env)

  Constructor.

Method Detail

### generateNodeRecord

    public NodeRecord generateNodeRecord()

  Description copied from interface: `NetworkSimulator`
  Generates a random node record

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.